#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int valid_int(const char *s)
{
    int n = atoi(s);      // 转换成整型
    int x = n / 100;      // 百位
    int y = n % 100 / 10; // 十位
    int z = n % 10;       // 个位
    return (
        x * x * x +
            y * y * y +
            z * z * z ==
        n); // 水仙花数
}

int main(int argc, const char *argv[])
{
    printf("%d\n", valid_int(argv[1]));
    return 0;
}